// pages/activityDetail/activityDetail.js
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    dataMap: {},
    token: ''
  },
  getToken: function() {
    var self = this;
    return new Promise(resolve =>{
      wx.getStorage({
        key: 'token',
        success(res) {
          self.setData({
            token: res.data
          })
          return resolve();
        }
      })
    })
  },
  goSign: function (e) {
    var activityId = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: '../activitySign/activitySign?id=' + activityId
    })
  },
  cancel: function(e) {
    var activityId = e.currentTarget.dataset.id;
    app.restAjax.get(app.restAjax.path(app.activityUrl + '/app/activityuserapply/cancelapply/' + activityId, []), 
        {}, {
          headers: {
            token: self.data.token
          }
        }, function(code, data) {
          if('200' == code) {
            wx.navigateTo({
              url: '../activityDetail/activityDetail?id=' + activityId
            })
          }
      }, function() {

      }, function() {
        
      })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var self = this;
    this.getToken().then(result => {
      var url;
      var id = options.id;
      if(!self.data.token) {
        url = '/wxminiapp/activitylibrary/getactivitylibrarybyidrelease/' + id;
        self.setData({
          token: null
        })
      }else {
        url = '/wxminiapp/activitylibrary/getactivitylibrarybyid/' + id
        self.getToken()
      }
      app.restAjax.get(app.restAjax.path(app.activityUrl + url, []), 
        {}, {
          headers: {
            token: self.data.token
          }
        }, function(code, data) {
          if('200' == code) {
            data.activityImage = app.activityUrl + '/route/file/downloadfile/true/' + data.activityImage;
            self.setData({
              dataMap: data
            })
            console.log(self.data.dataMap)
          }
      }, function() {

      }, function() {
        
      })
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})